#include <ogg/ogg.h>

#define CONAN_OGGCHECK(x) if ((x) != 0) return x

int main() {
    int ogg_success;
    ogg_stream_state stream;

    ogg_success = ogg_stream_init(&stream, 1);
    CONAN_OGGCHECK(ogg_success);

    ogg_success = ogg_stream_check(&stream);
    CONAN_OGGCHECK(ogg_success);

    ogg_success = ogg_stream_reset(&stream);
    CONAN_OGGCHECK(ogg_success);

    ogg_success = ogg_stream_clear(&stream);
    CONAN_OGGCHECK(ogg_success);

    return 0;
}
